textures/ut4_interior/int_skybox
{
        
	qer_editorimage textures/ut4_interior/int_skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 242 205 133 120 130 55
	q3map_lightRGB 242 205 133
	q3map_lightSubdivide 256
	q3map_surfacelight 250
	q3map_backsplash 0 0
	q3map_sunExt 1 1 1 140 -35 25 2 32
	q3map_skyLight 80 6

        skyparms env/kingdomsky/kingdomsky - -
 	{
		map env/kingdomsky/kingdomskyclouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}

textures/ut4_interior/vidro_SuperClaro
{
	qer_editorimage textures/ut4_interior/vidro_SuperClaro.tga
	qer_trans 0.1
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ut4_interior/vidro_SuperClaro.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_interior/ut4_cercaTrans
{
	surfaceparm nolightmap
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_interior/ut4_LightTest
{
	surfaceparm nodamage
	q3map_surfacelight 400

	
	{
		map textures/ut4_interior/ut4_LightTest.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ut4_interior/ut4_LightTest_2Tone.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 6	
	}

	{
		clampmap textures/ut4_interior/ut4_LightTest_2Small.tga
		blendfunc gl_one gl_one
		//tcMod stretch sin 1.2 .8 0 1.5
		//rgbGen wave square .5 1 .25 1.5
		rgbGen wave sin .5 .5 0 6
	}
	{
		animMap 2 textures/ut4_interior/ut4_anim1.tga textures/ut4_interior/ut4_anim2.tga textures/ut4_interior/ut4_anim3.tga textures/ut4_interior/ut4_anim2.tga textures/ut4_interior/ut4_anim4.tga textures/ut4_interior/ut4_anim3.tga textures/ut4_interior/ut4_anim4.tga textures/ut4_interior/ut4_anim3.tga textures/ut4_interior/ut4_anim2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 6
	}

}

textures/ut4_interior/watercaulk
{
	qer_editorimage textures/water/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water	 //defines this content type as water
}

textures/ut4_interior/vidro_Azul
{
	qer_editorimage textures/ut4_interior/vidro_Azul.tga
	qer_trans 0.1
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none

	{
		map textures/ut4_interior/vidro_Azul.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/common/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/common/ladder
{
   qer_editorimage textures/common/ladder.tga
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}

textures/ut4_interior/clearripple3
	{
		qer_editorimage textures/ut4_interior/clearripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/ut4_interior/pool3d5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut4_interior/pool3d6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut4_interior/pool3d3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

} 